Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QWidget.RenderFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QWidget.RenderFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWidget

    public static final class QWidget.RenderFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes how to render the widget when calling `QWidget::render()`.

See Also:
  Serialized Form

Field Summary
`static QWidget.RenderFlag` | `DrawChildren` If you enable this option, the widget's children are rendered recursively into the target.
`static QWidget.RenderFlag` | `DrawWindowBackground` If you enable this option, the widget's background is rendered into the target even if `autoFillBackground` is not set.
`static QWidget.RenderFlag` | `IgnoreMask` If you enable this option, the widget's `QWidget::mask()` is ignored when rendering into the target.

Method Summary
`static QWidget.RenderFlags` | `createQFlags(QWidget.RenderFlag[] values)` This function creates a com.trolltech.qt.gui.QWidget$RenderFlags with the specified `com.trolltech.qt.gui.QWidget$RenderFlag[]` QWidget$RenderFlag values set.
`static QWidget.RenderFlag` | `resolve(int value)` Returns the QWidget$RenderFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWidget.RenderFlag` | `valueOf(java.lang.String name)`
`static QWidget.RenderFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DrawWindowBackground

    public static final QWidget.RenderFlag DrawWindowBackground

  If you enable this option, the widget's background is rendered into the target even if `autoFillBackground` is not set. By default, this option is enabled.

### DrawChildren

    public static final QWidget.RenderFlag DrawChildren

  If you enable this option, the widget's children are rendered recursively into the target. By default, this option is enabled.

### IgnoreMask

    public static final QWidget.RenderFlag IgnoreMask

  If you enable this option, the widget's `QWidget::mask()` is ignored when rendering into the target. By default, this option is disabled.

Method Detail

### values

    public static QWidget.RenderFlag[] values()

### valueOf

    public static QWidget.RenderFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QWidget.RenderFlags createQFlags(QWidget.RenderFlag[] values)

  This function creates a com.trolltech.qt.gui.QWidget$RenderFlags with the specified `com.trolltech.qt.gui.QWidget$RenderFlag[]` QWidget$RenderFlag values set.

### resolve

    public static QWidget.RenderFlag resolve(int value)

  Returns the QWidget$RenderFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD